Subject: bug#52063: 28.0.60; Confusing presentation of lambda

From: Stefan Monnier <[email-masked]>
Date: Wed, 24 Nov 2021 14:46:04 -0500

>> >From where I sit, the problem is one of habit.
> There's nothing wrong with habits, and there's no reason to fight
> habits of others, even if you don't share them.

What I'm saying is that you are annoyed by the (closure ...) thingy
mostly because you're used to seeing (lambda ...) rather than because
there's an actual problem with the (closure ...) itself.

IOW if it had always behaved that way, you wouldn't be bothered by it.

If I had my way, we'd never see any (lambda ...) value nor any (closure
...) value, but we'd instead see things more like #<function ...> or
maybe #[function ...] ;-)

        Stefan